Page MenuHomePhabricator

Move git.enlightenment.org/core/elementary.git to git.enlightenment.org/legacy/elementary.git
Closed, ResolvedPublic

Description

It appears Elementary has been merged to EFL and it's description changed to "Legacy widget toolkit, merged into core/efl".
However, git remote is still looking at core/elementary.git. I think, this should be changed to something that correctly reflects its current status.
We shall start breaking git pull's immediately, shall we?

oz created this task.Apr 4 2016, 9:58 PM
oz added projects: Restricted Project, enlightenment-git.
zmike reassigned this task from zmike to tasn.Apr 5 2016, 8:25 AM
tasn added a comment.Apr 6 2016, 6:15 AM

It was not moved on purpose in order to not break people relying on the git repository for creating packages from commits and tags.

We can consider adding an alias to legacy/elementary.git as described in http://techblog.adrianlowdon.co.uk/2013/07/22/renaming-a-git-repository-under-gitolite-keeping-an-alias-for-the-old-name/
which will also add a warning, I just need to get around to that.

zmike removed a subscriber: zmike.
stefan_schmidt edited projects, added efl; removed Restricted Project.Jul 20 2016, 7:26 AM
stefan_schmidt triaged this task as Normal priority.Feb 10 2017, 6:55 AM
zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:59 AM
bu5hm4n edited projects, added Restricted Project; removed Restricted Project.Jun 11 2018, 9:30 AM
zmike closed this task as Resolved.Jun 12 2018, 8:35 AM